Get Blocks Within Range
POST
Retrieves the list of blocks within a specific period or block range.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Request Body
fromBlockstring
Parameter specifying the starting block for the query. You can enter one of the following formats:- block number: Enter block number as a decimal string.
- block hash: 64-character hexadecimal (including "0x").
- block tag: Use "earliest" or "latest" to specify the first block or the most recent block.
- This field cannot be used together with
fromDateandtoDate. - If provided without fromBlock, results are queried from genesis block to this block.
- toBlock value cannot be less than fromBlock value.
- If fromBlock and toBlock have the same value, only that block is queried.
- "earliest" for toBlock is only allowed when fromBlock is "earliest".
- If
fromBlockandtoBlockare not provided, the API queries data from the latest 30 days.
toBlockstring
Parameter specifying the ending block for the query. You can enter one of the following formats:- block number: Enter block number as a decimal string.
- block hash: 64-character hexadecimal (including "0x").
- block tag: Use "earliest" or "latest" to specify the first block or the most recent block.
- This field cannot be used together with
fromDateandtoDate. - If provided without fromBlock, results are queried from genesis block to this block.
- toBlock value cannot be less than fromBlock value.
- If fromBlock and toBlock have the same value, only that block is queried.
- "earliest" for toBlock is only allowed when fromBlock is "earliest".
- If
fromBlockandtoBlockare not provided, the API queries data from the latest 30 days.
fromDatestring
Parameter specifying the start date for the query. Date must follow ISO 8601 format (YYYY-MM-DDThh:mm:ss{time zone}) including seconds.Notes:- If provided without toDate, results are queried from this date to the latest block.
- fromDate value must be equal to or earlier than toDate value.
- If fromDate and toDate have the same value, only blocks from that date are queried.
- This field cannot be used together with fromBlock and toBlock.
- If
fromDateandtoDateare not provided, the API queries data from the latest 30 days.
toDatestring
Parameter specifying the end date for the query. Date must follow ISO 8601 format (YYYY-MM-DDThh:mm:ss{time zone}) including seconds.Notes:- If provided without fromDate, results are queried from genesis block to this date.
- toDate value must be equal to or later than fromDate value.
- If fromDate and toDate have the same value, only blocks from that date are queried.
- This field cannot be used together with fromBlock and toBlock.
- If
fromDateandtoDateare not provided, the API queries data from the latest 30 days.
pageinteger
The page parameter specifies the data page to query. It accepts values up to 100; for pages exceeding 100, use the cursor pagination method.The page and cursor parameters cannot be used together. If both page and cursor are empty, cursor pagination is used.rppinteger
rpp stands for results per page and specifies the page size. You can specify a number greater than 0 and up to 100.cursorstring
The cursor parameter supports pagination and data navigation between pages. Provide the cursor value from the previous page in the next request to load the next page of data.The page and cursor parameters cannot be used together. If both page and cursor are empty, cursor pagination is used.withCountboolean
Parameter specifying whether to include the count field in the response. The count field indicates the total number of requested data items. When set to true, the count field is included and response speed may be slower.Responses
pageinteger
Field representing the page number specified in the page parameter. This field is only included in the response when a value greater than 0 is specified for the page parameter.rppinteger
Field representing the number of results per page specified in the rpp parameter.cursorstring
A field for cursor pagination. This value must be provided in the next request to load the next page of data.countinteger
Field representing the total count of requested data. This field is only included in the response when true is set for the withCount parameter.Field representing the actual range applied to the query. The same kind of values used in the request's range parameters are returned. A Date-based request returns fromDate and toDate, a Block-based request returns fromBlock and toBlock, and a Ledger-based request returns fromLedger and toLedger; different kinds are never mixed in a single response. When all range parameters are omitted, a default window of the last 30 days is applied and fromDate, toDate are returned. Block and Ledger values are always returned as heights (numbers), even if a hash or tag (latest, earliest) was provided in the request.
fromDatestring
Field representing the start of the query range in Date mode. Returned in ISO 8601 format.toDatestring
Field representing the end of the query range in Date mode. Returned in ISO 8601 format.fromBlockinteger
Field representing the start block height of the query range in Block mode.toBlockinteger
Field representing the end block height of the query range in Block mode.fromLedgerinteger
Field representing the start ledger index of the query range in Ledger mode.toLedgerinteger
Field representing the end ledger index of the query range in Ledger mode.hashstringrequired
A field representing the block hash. Provided as a 64-character hexadecimal string prefixed with 0x.numberintegerrequired
A field representing the block number or block height. Provided as a decimal string.timestampintegerrequired
A field representing the time when the block was created. This field is provided as a UNIX timestamp.parentHashstringrequired
A field representing the hash of the parent block. Provided as a 64-character hexadecimal string prefixed with 0x.noncestringrequired
A value used to prove block validity in Proof of Work (PoW). Returns 0x0000000000000000 for blocks after the transition to Proof of Stake (PoS).stateRootstringrequired
A field representing the root hash of the block state. Provided as a 64-character hexadecimal string prefixed with 0x.receiptsRootstringrequired
A field representing the root hash of all transaction receipts in the block. Provided as a 64-character hexadecimal string prefixed with 0x.transactionsRootstringrequired
A field representing the root hash of all transactions in the block. Provided as a 64-character hexadecimal string prefixed with 0x.minerstringrequired
A field representing the address of the miner who created the block. Provided as a 40-character hexadecimal string prefixed with 0x.difficultystringrequired
A field representing the block creation difficulty. Returns the difficulty value for Proof of Work (PoW), and 0 for blocks after the transition to Proof of Stake (PoS).totalDifficultystringrequired
A field representing the cumulative block creation difficulty. Returns the sum of difficulty from block 0 to the current block. Provided as a hexadecimal string prefixed with 0x.mixHashstringrequired
A value used to prove block validity in Proof of Work (PoW). Provided as a 64-character hexadecimal string prefixed with 0x.gasLimitstringrequired
A field representing the maximum gas allowed for the block. The sum of gas used by all transactions in the block must be less than this value. Provided as a hexadecimal string prefixed with 0x.gasUsedstringrequired
A field representing the total gas used by all transactions in the block. Provided as a hexadecimal string prefixed with 0x.baseFeePerGasstring
A field representing the block base gas fee. Part of the variable fee model introduced in EIP-1559 (London Hard fork). This field is not provided for blocks before this introduction. Provided as a hexadecimal string prefixed with 0x.sizestringrequired
A field representing the size of the block in bytes. Provided as a hexadecimal string prefixed with 0x.logsBloomstringrequired
A field representing the logs bloom of all transactions in the block. Provided as a 512-character hexadecimal string prefixed with 0x.extraDatastringrequired
A field representing additional data added by the block creator. Returns 0x when no value was added. Provided as a hexadecimal string prefixed with 0x.sha3Unclesstringrequired
A field representing the hash of all uncle blocks in the block. Provided as a 64-character hexadecimal string prefixed with 0x.transactionsCountintegerrequired
A field representing the number of transactions in the block.transactionsarrayrequired
A field representing the list of transactions in the block.withdrawalsRootstring
A field representing the root hash of all withdrawal transactions in the block. Provided as a 64-character hexadecimal string prefixed with 0x.withdrawalsCountinteger
A field representing the number of withdrawal transactions included in the block.A field representing the list of withdrawals of staked assets by validators.
indexstringrequired
A field representing the index of the withdrawal transaction. Provided as an integer starting from 0, in decimal string format.validatorIndexstringrequired
A field representing the index of the validator who requested the withdrawal. Provided in decimal string format.addressstringrequired
A field representing the address that receives the withdrawn Native Token. Provided as a 40-character hexadecimal string prefixed with 0x.amountstringrequired
A field representing the withdrawn amount. Provided in decimal string format.requestsHashstring
A field in the block header that is a cryptographic commitment of the order and content of all requests in the block. This allows verification of the integrity of the request list within the block without downloading the full data.codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "MISSING_REQUIRED_PARAMETER","message": "Missing required parameter: { PARAMETER_NAME }"}
cURL
curl -X POST 'https://web3.nodit.io/v1/avalanche/mainnet/blockchain/getBlocksWithinRange' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"fromDate": "2025-01-01T00:00:00+00:00","toDate": "2025-01-31T00:00:00+00:00","page": 1,"rpp": 10}'